[arch-commits] Commit in plan9port/repos (12 files)

Alexander Rødseth arodseth at nymeria.archlinux.org
Mon Nov 25 23:32:13 UTC 2013


    Date: Tuesday, November 26, 2013 @ 00:32:13
  Author: arodseth
Revision: 101453

archrelease: copy trunk to community-x86_64, community-i686

Added:
  plan9port/repos/community-i686/PKGBUILD
    (from rev 101452, plan9port/trunk/PKGBUILD)
  plan9port/repos/community-i686/plan9.install
    (from rev 101452, plan9port/trunk/plan9.install)
  plan9port/repos/community-i686/plan9.sh
    (from rev 101452, plan9port/trunk/plan9.sh)
  plan9port/repos/community-x86_64/PKGBUILD
    (from rev 101452, plan9port/trunk/PKGBUILD)
  plan9port/repos/community-x86_64/plan9.install
    (from rev 101452, plan9port/trunk/plan9.install)
  plan9port/repos/community-x86_64/plan9.sh
    (from rev 101452, plan9port/trunk/plan9.sh)
Deleted:
  plan9port/repos/community-i686/PKGBUILD
  plan9port/repos/community-i686/plan9.install
  plan9port/repos/community-i686/plan9.sh
  plan9port/repos/community-x86_64/PKGBUILD
  plan9port/repos/community-x86_64/plan9.install
  plan9port/repos/community-x86_64/plan9.sh

--------------------------------+
 /PKGBUILD                      |  140 +++++++++++++++++++++++++++++++++++++++
 /plan9.install                 |   32 ++++++++
 /plan9.sh                      |    4 +
 community-i686/PKGBUILD        |   70 -------------------
 community-i686/plan9.install   |   21 -----
 community-i686/plan9.sh        |    2 
 community-x86_64/PKGBUILD      |   70 -------------------
 community-x86_64/plan9.install |   21 -----
 community-x86_64/plan9.sh      |    2 
 9 files changed, 176 insertions(+), 186 deletions(-)

Deleted: community-i686/PKGBUILD
===================================================================
--- community-i686/PKGBUILD	2013-11-25 23:32:03 UTC (rev 101452)
+++ community-i686/PKGBUILD	2013-11-25 23:32:13 UTC (rev 101453)
@@ -1,70 +0,0 @@
-# $Id$
-# Maintainer: Alexander Rødseth <rodseth at gmail.com>
-# Contributor: phrakture <aaronmgriffin--gmail--com>
-# Contributor: Fazlul Shahriar
-# Contributor: Chris Brannon <cmbrannon79 at gmail.com>
-
-pkgname=plan9port
-pkgver=20130927
-pkgrel=3
-pkgdesc='Port of many programs from Plan 9 to Unix-like operating systems'
-arch=('x86_64' 'i686')
-url='http://swtch.com/plan9port/'
-license=('custom')
-depends=('xorg-server' 'libxt' 'libxext' 'fuse')
-optdepends=('python2: for the codereview script')
-provides=('plan9')
-install='plan9.install'
-options=('!zipman' 'staticlibs')
-source=("http://swtch.com/$pkgname/$pkgname-$pkgver.tgz"
-        'plan9.sh')
-sha256sums=('580927688ae2df295bf7f78d0ba19588104c6b0403558ffa3cd9ed0b7b110542'
-            'c216efa3455ba0b22b1723ae62e4c1e21b3a776a760d8fcedb902ff994b701c1')
-
-package() {
-  cd plan9
-
-  d=/usr/local # /opt
-
-  ./INSTALL -b
-  install -Dm755 ../plan9.sh "$pkgdir/etc/profile.d/plan9.sh"
-  install -d "$pkgdir$d"
-  install -d "$pkgdir/usr/share/doc/$pkgname"
-  cp -r "$srcdir/plan9" "$pkgdir/$d/"
-  cd "$pkgdir$d/plan9"
-  ./INSTALL -c -r "$pkgdir$d/plan9"
-  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-
-  # Clean up
-  rm -rf .hg/
-  rm -f .hgignore .hgtags
-  find . -name '.cvsignore' -print0 |xargs -0 rm -f
-  rm -f config install.log install.sum install.txt configure Makefile INSTALL \
-    LICENSE
-
-  # Fix hardcoded paths
-  for f in `grep -H -r "$pkgdir$d/plan9" | cut -d: -f1`; do
-    echo -n "\t$f"
-    [ -e "$f" ] && sed -i "s:$pkgdir$d/plan9:$d/plan9:" "$f" || true
-  done
-
-  # Fix python scripts
-  find "$pkgdir" -name '*.py' -print0 |xargs -0 \
-    sed -i -e 's,^#!/usr/bin/env python$,#!/usr/bin/python2,' \
-    -e 's,^#!/usr/bin/python$,#!/usr/bin/python2,'
-
-  # Package text files
-  for i in CHANGES CONTRIBUTORS README TODO; do
-    install -m644 $i "$pkgdir/usr/share/doc/$pkgname"
-    rm -f $i
-  done
-
-  # Decompress the plan9 man pages
-  for i in `find $pkgdir$d/plan9/man -type f`; do
-    if [ ${i##*.} = "gz" ]; then
-      gunzip "$i"
-    fi
-  done
-}
-
-# vim:set ts=2 sw=2 et:

Copied: plan9port/repos/community-i686/PKGBUILD (from rev 101452, plan9port/trunk/PKGBUILD)
===================================================================
--- community-i686/PKGBUILD	                        (rev 0)
+++ community-i686/PKGBUILD	2013-11-25 23:32:13 UTC (rev 101453)
@@ -0,0 +1,70 @@
+# $Id$
+# Maintainer: Alexander Rødseth <rodseth at gmail.com>
+# Contributor: phrakture <aaronmgriffin--gmail--com>
+# Contributor: Fazlul Shahriar
+# Contributor: Chris Brannon <cmbrannon79 at gmail.com>
+
+pkgname=plan9port
+pkgver=20131024
+pkgrel=1
+pkgdesc='Port of many programs from Plan 9 to Unix-like operating systems'
+arch=('x86_64' 'i686')
+url='http://swtch.com/plan9port/'
+license=('custom')
+depends=('xorg-server' 'libxt' 'libxext' 'fuse')
+optdepends=('python2: for the codereview script')
+provides=('plan9')
+install='plan9.install'
+options=('!zipman' 'staticlibs')
+source=("http://$pkgname.googlecode.com/files/$pkgname-$pkgver.tgz"
+        'plan9.sh')
+sha256sums=('5cba7856bdb35a96a923120e61d320d424fee1a6f09b7af3e87eb7814a747d4f'
+            '3d899c30f289c20eecedf9961d61c0c9dfe4c0dc9b1a7642aca25e0534883cf2')
+
+package() {
+  cd "$pkgname"
+
+  d=/usr/local
+
+  ./INSTALL -b
+  install -Dm755 ../plan9.sh "$pkgdir/etc/profile.d/plan9.sh"
+  install -d "$pkgdir$d"
+  install -d "$pkgdir/usr/share/doc/$pkgname"
+  cp -r "$srcdir/$pkgname" "$pkgdir/$d/"
+  cd "$pkgdir$d/$pkgname"
+  ./INSTALL -c -r "$pkgdir$d/$pkgname"
+  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+
+  # Clean up
+  rm -rf .hg/
+  rm -f .hgignore .hgtags
+  find . -name '.cvsignore' -print0 |xargs -0 rm -f
+  rm -f config install.log install.sum install.txt configure Makefile INSTALL \
+    LICENSE
+
+  # Fix hardcoded paths
+  for f in `grep -H -r "$pkgdir$d/$pkgname" | cut -d: -f1`; do
+    echo -n "\t$f"
+    [ -e "$f" ] && sed -i "s:$pkgdir$d/$pkgname:$d/$pkgname:" "$f" || true
+  done
+
+  # Fix python scripts
+  find "$pkgdir" -name '*.py' -print0 |xargs -0 \
+    sed -i -e 's,^#!/usr/bin/env python$,#!/usr/bin/python2,' \
+    -e 's,^#!/usr/bin/python$,#!/usr/bin/python2,'
+
+  # Package text files
+  for i in CHANGES CONTRIBUTORS README TODO; do
+    install -m644 $i "$pkgdir/usr/share/doc/$pkgname"
+    rm -f $i
+  done
+
+  # Decompress the plan9 man pages
+  for i in `find $pkgdir$d/plan9/man -type f`; do
+    if [ ${i##*.} = "gz" ]; then
+      gunzip "$i"
+    fi
+  done
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: community-i686/plan9.install
===================================================================
--- community-i686/plan9.install	2013-11-25 23:32:03 UTC (rev 101452)
+++ community-i686/plan9.install	2013-11-25 23:32:13 UTC (rev 101453)
@@ -1,21 +0,0 @@
-post_install() {
-  echo ""
-  echo "==> In order to use Plan9 specific apps, run them"
-  echo "    as arguments to the '9' script, i.e. '9 date'"
-  echo "==> Please log off or 'source /etc/profile.d/plan9.sh'"
-  echo "==> Run '9 man 1 intro | less' to begin"
-  source /etc/profile.d/plan9.sh
-}
-
-post_upgrade() {
-  post_install
-}
-
-pre_upgrade() {
-  post_remove
-}
-
-post_remove() {
-  #we had to unpack them so they won't get removed....
-  rm -rf /opt/plan9/man
-}

Copied: plan9port/repos/community-i686/plan9.install (from rev 101452, plan9port/trunk/plan9.install)
===================================================================
--- community-i686/plan9.install	                        (rev 0)
+++ community-i686/plan9.install	2013-11-25 23:32:13 UTC (rev 101453)
@@ -0,0 +1,16 @@
+post_install() {
+  echo ""
+  echo "==> In order to use Plan9 specific apps, run them"
+  echo "    as arguments to the '9' script, i.e. '9 date'"
+  echo "==> Please log off or 'source /etc/profile.d/plan9.sh'"
+  echo "==> Run '9 man 1 intro | less' to begin"
+  source /etc/profile.d/plan9.sh
+}
+
+post_upgrade() {
+  post_install
+}
+
+pre_upgrade() {
+  post_remove
+}

Deleted: community-i686/plan9.sh
===================================================================
--- community-i686/plan9.sh	2013-11-25 23:32:03 UTC (rev 101452)
+++ community-i686/plan9.sh	2013-11-25 23:32:13 UTC (rev 101453)
@@ -1,2 +0,0 @@
-export PLAN9=/usr/local/plan9
-export PATH=$PATH:$PLAN9/bin

Copied: plan9port/repos/community-i686/plan9.sh (from rev 101452, plan9port/trunk/plan9.sh)
===================================================================
--- community-i686/plan9.sh	                        (rev 0)
+++ community-i686/plan9.sh	2013-11-25 23:32:13 UTC (rev 101453)
@@ -0,0 +1,2 @@
+export PLAN9=/usr/local/plan9port
+export PATH=$PATH:$PLAN9/bin

Deleted: community-x86_64/PKGBUILD
===================================================================
--- community-x86_64/PKGBUILD	2013-11-25 23:32:03 UTC (rev 101452)
+++ community-x86_64/PKGBUILD	2013-11-25 23:32:13 UTC (rev 101453)
@@ -1,70 +0,0 @@
-# $Id$
-# Maintainer: Alexander Rødseth <rodseth at gmail.com>
-# Contributor: phrakture <aaronmgriffin--gmail--com>
-# Contributor: Fazlul Shahriar
-# Contributor: Chris Brannon <cmbrannon79 at gmail.com>
-
-pkgname=plan9port
-pkgver=20130927
-pkgrel=3
-pkgdesc='Port of many programs from Plan 9 to Unix-like operating systems'
-arch=('x86_64' 'i686')
-url='http://swtch.com/plan9port/'
-license=('custom')
-depends=('xorg-server' 'libxt' 'libxext' 'fuse')
-optdepends=('python2: for the codereview script')
-provides=('plan9')
-install='plan9.install'
-options=('!zipman' 'staticlibs')
-source=("http://swtch.com/$pkgname/$pkgname-$pkgver.tgz"
-        'plan9.sh')
-sha256sums=('580927688ae2df295bf7f78d0ba19588104c6b0403558ffa3cd9ed0b7b110542'
-            'c216efa3455ba0b22b1723ae62e4c1e21b3a776a760d8fcedb902ff994b701c1')
-
-package() {
-  cd plan9
-
-  d=/usr/local # /opt
-
-  ./INSTALL -b
-  install -Dm755 ../plan9.sh "$pkgdir/etc/profile.d/plan9.sh"
-  install -d "$pkgdir$d"
-  install -d "$pkgdir/usr/share/doc/$pkgname"
-  cp -r "$srcdir/plan9" "$pkgdir/$d/"
-  cd "$pkgdir$d/plan9"
-  ./INSTALL -c -r "$pkgdir$d/plan9"
-  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-
-  # Clean up
-  rm -rf .hg/
-  rm -f .hgignore .hgtags
-  find . -name '.cvsignore' -print0 |xargs -0 rm -f
-  rm -f config install.log install.sum install.txt configure Makefile INSTALL \
-    LICENSE
-
-  # Fix hardcoded paths
-  for f in `grep -H -r "$pkgdir$d/plan9" | cut -d: -f1`; do
-    echo -n "\t$f"
-    [ -e "$f" ] && sed -i "s:$pkgdir$d/plan9:$d/plan9:" "$f" || true
-  done
-
-  # Fix python scripts
-  find "$pkgdir" -name '*.py' -print0 |xargs -0 \
-    sed -i -e 's,^#!/usr/bin/env python$,#!/usr/bin/python2,' \
-    -e 's,^#!/usr/bin/python$,#!/usr/bin/python2,'
-
-  # Package text files
-  for i in CHANGES CONTRIBUTORS README TODO; do
-    install -m644 $i "$pkgdir/usr/share/doc/$pkgname"
-    rm -f $i
-  done
-
-  # Decompress the plan9 man pages
-  for i in `find $pkgdir$d/plan9/man -type f`; do
-    if [ ${i##*.} = "gz" ]; then
-      gunzip "$i"
-    fi
-  done
-}
-
-# vim:set ts=2 sw=2 et:

Copied: plan9port/repos/community-x86_64/PKGBUILD (from rev 101452, plan9port/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD	                        (rev 0)
+++ community-x86_64/PKGBUILD	2013-11-25 23:32:13 UTC (rev 101453)
@@ -0,0 +1,70 @@
+# $Id$
+# Maintainer: Alexander Rødseth <rodseth at gmail.com>
+# Contributor: phrakture <aaronmgriffin--gmail--com>
+# Contributor: Fazlul Shahriar
+# Contributor: Chris Brannon <cmbrannon79 at gmail.com>
+
+pkgname=plan9port
+pkgver=20131024
+pkgrel=1
+pkgdesc='Port of many programs from Plan 9 to Unix-like operating systems'
+arch=('x86_64' 'i686')
+url='http://swtch.com/plan9port/'
+license=('custom')
+depends=('xorg-server' 'libxt' 'libxext' 'fuse')
+optdepends=('python2: for the codereview script')
+provides=('plan9')
+install='plan9.install'
+options=('!zipman' 'staticlibs')
+source=("http://$pkgname.googlecode.com/files/$pkgname-$pkgver.tgz"
+        'plan9.sh')
+sha256sums=('5cba7856bdb35a96a923120e61d320d424fee1a6f09b7af3e87eb7814a747d4f'
+            '3d899c30f289c20eecedf9961d61c0c9dfe4c0dc9b1a7642aca25e0534883cf2')
+
+package() {
+  cd "$pkgname"
+
+  d=/usr/local
+
+  ./INSTALL -b
+  install -Dm755 ../plan9.sh "$pkgdir/etc/profile.d/plan9.sh"
+  install -d "$pkgdir$d"
+  install -d "$pkgdir/usr/share/doc/$pkgname"
+  cp -r "$srcdir/$pkgname" "$pkgdir/$d/"
+  cd "$pkgdir$d/$pkgname"
+  ./INSTALL -c -r "$pkgdir$d/$pkgname"
+  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+
+  # Clean up
+  rm -rf .hg/
+  rm -f .hgignore .hgtags
+  find . -name '.cvsignore' -print0 |xargs -0 rm -f
+  rm -f config install.log install.sum install.txt configure Makefile INSTALL \
+    LICENSE
+
+  # Fix hardcoded paths
+  for f in `grep -H -r "$pkgdir$d/$pkgname" | cut -d: -f1`; do
+    echo -n "\t$f"
+    [ -e "$f" ] && sed -i "s:$pkgdir$d/$pkgname:$d/$pkgname:" "$f" || true
+  done
+
+  # Fix python scripts
+  find "$pkgdir" -name '*.py' -print0 |xargs -0 \
+    sed -i -e 's,^#!/usr/bin/env python$,#!/usr/bin/python2,' \
+    -e 's,^#!/usr/bin/python$,#!/usr/bin/python2,'
+
+  # Package text files
+  for i in CHANGES CONTRIBUTORS README TODO; do
+    install -m644 $i "$pkgdir/usr/share/doc/$pkgname"
+    rm -f $i
+  done
+
+  # Decompress the plan9 man pages
+  for i in `find $pkgdir$d/plan9/man -type f`; do
+    if [ ${i##*.} = "gz" ]; then
+      gunzip "$i"
+    fi
+  done
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: community-x86_64/plan9.install
===================================================================
--- community-x86_64/plan9.install	2013-11-25 23:32:03 UTC (rev 101452)
+++ community-x86_64/plan9.install	2013-11-25 23:32:13 UTC (rev 101453)
@@ -1,21 +0,0 @@
-post_install() {
-  echo ""
-  echo "==> In order to use Plan9 specific apps, run them"
-  echo "    as arguments to the '9' script, i.e. '9 date'"
-  echo "==> Please log off or 'source /etc/profile.d/plan9.sh'"
-  echo "==> Run '9 man 1 intro | less' to begin"
-  source /etc/profile.d/plan9.sh
-}
-
-post_upgrade() {
-  post_install
-}
-
-pre_upgrade() {
-  post_remove
-}
-
-post_remove() {
-  #we had to unpack them so they won't get removed....
-  rm -rf /opt/plan9/man
-}

Copied: plan9port/repos/community-x86_64/plan9.install (from rev 101452, plan9port/trunk/plan9.install)
===================================================================
--- community-x86_64/plan9.install	                        (rev 0)
+++ community-x86_64/plan9.install	2013-11-25 23:32:13 UTC (rev 101453)
@@ -0,0 +1,16 @@
+post_install() {
+  echo ""
+  echo "==> In order to use Plan9 specific apps, run them"
+  echo "    as arguments to the '9' script, i.e. '9 date'"
+  echo "==> Please log off or 'source /etc/profile.d/plan9.sh'"
+  echo "==> Run '9 man 1 intro | less' to begin"
+  source /etc/profile.d/plan9.sh
+}
+
+post_upgrade() {
+  post_install
+}
+
+pre_upgrade() {
+  post_remove
+}

Deleted: community-x86_64/plan9.sh
===================================================================
--- community-x86_64/plan9.sh	2013-11-25 23:32:03 UTC (rev 101452)
+++ community-x86_64/plan9.sh	2013-11-25 23:32:13 UTC (rev 101453)
@@ -1,2 +0,0 @@
-export PLAN9=/usr/local/plan9
-export PATH=$PATH:$PLAN9/bin

Copied: plan9port/repos/community-x86_64/plan9.sh (from rev 101452, plan9port/trunk/plan9.sh)
===================================================================
--- community-x86_64/plan9.sh	                        (rev 0)
+++ community-x86_64/plan9.sh	2013-11-25 23:32:13 UTC (rev 101453)
@@ -0,0 +1,2 @@
+export PLAN9=/usr/local/plan9port
+export PATH=$PATH:$PLAN9/bin




More information about the arch-commits mailing list